Retrieve card comments

GET
https://example.kaiten.ru/api/latest/cards/{card_id}/comments
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Comment id
uid

integer

Comment uid
text

string

Comment text
type

enum

1-markdown, 2-html
edited

boolean

Is comment edited
card_id

integer

Card id
author_id

integer

Author id
email_addresses_to

string

Mail addresses to send comment
internal

boolean

Internal flag
deleted

boolean

Deleted flag
sd_external_recipients_cc

null |string

Service desk external recipients
sd_description

boolean

Flag indicating that the comment is used as a request description when the card is a service desk request
notification_sent

null | string

Notification sent date
author

object

Schema
Author info
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/comments' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!